%{?nodejs_find_provides_and_requires}

%global packagename export-files
%global enable_tests 1

Name:		nodejs-export-files
Version:	2.1.1
Release:	1%{?dist}
Summary:	Utility for exporting a directory of files as modules

License:	MIT
URL:		https://github.com/jonschlinkert/export-files
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/master/test.js
# Source2 is generated by running Source10, which pulls from the upstream
# version control repository.
Source2:	fixtures-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(lazy-cache)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
A node.js utility for exporting a directory of files as modules.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .
# setup the test fixtures
%autosetup -T -D -a 2 -n package

%nodejs_fixdep lazy-cache

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Initial packaging
